using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiGou.CaiGouTongZhiDanTongJiFenXi
{
    public partial class W_TZD_JQDYS
    {
        public W_TZD_JQDYS()
        {

        }
        public override void OnLoad()
        {

            //允许通过sql语句创建数据窗口  允许retrieve

            dw_Host.AllowCreate = true;
            dw_Host.AllowRetrieve = true;

            base.OnLoad();
            this.Page.ClientScript.RegisterClientScriptInclude("W_Edit", "/DangAn/Base/OpenWindowDoubleRowsChooseBase.win.js?JSV=" + AppService.GetJSVesion());
            this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
            this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
            this.Page.ClientScript.RegisterClientScriptInclude("W_TZD_JQDYS", "/CaiGou/CaiGouTongZhiDanTongJiFenXi/W_TZD_JQDYS/W_TZD_JQDYS.win.js?JSV=" + AppService.GetJSVesion());
            this.IsRegisterScriptFile = false;
        }
    }
}
